<?php $__env->startSection('title', __('Edit User')); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row">
        <form action="<?php echo e(route('users.update', $user->user_id)); ?>" method="POST" role="form"
              class="form-horizontal col-md-8 col-md-offset-2">
            <legend><?php echo e(__('Edit User')); ?>: <?php echo e($user->username); ?></legend>
            <?php echo e(method_field('PUT')); ?>

            <?php echo csrf_field(); ?>

            <?php echo $__env->make('user.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <?php if (\Illuminate\Support\Facades\Blade::check('config', 'twofactor')): ?>
            <br/>
            <?php if (isset($component)) { $__componentOriginalc7e2ab31530b26312484d537a31f8e4c = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalc7e2ab31530b26312484d537a31f8e4c = $attributes; } ?>
<?php $component = App\View\Components\Panel::resolve(['title' => ''.e(__('Two-Factor Authentication')).''] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('panel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Panel::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'col-sm-offset-3']); ?>
                <?php if($twofactor_enabled): ?>
                    <?php if($twofactor_locked): ?>
                        <div class="form-group" id="twofactor-unlock-form">
                            <button type="button" id="twofactor-unlock" class="btn btn-default col-sm-4 col-sm-offset-1"><?php echo e(__('Unlock')); ?></button>
                            <label for="twofactor-unlock" class="col-sm-7 control-label"><?php echo e(__('User exceeded failures')); ?></label>
                        </div>
                    <?php endif; ?>
                    <div class="form-group">
                        <button type="button" id="twofactor-disable" class="btn btn-danger col-sm-offset-1"><?php echo e(__('Disable TwoFactor')); ?></button>
                    </div>
                <?php else: ?>
                    <p><?php echo e(__('No TwoFactor key generated for this user, Nothing to do.')); ?></p>
                <?php endif; ?>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalc7e2ab31530b26312484d537a31f8e4c)): ?>
<?php $attributes = $__attributesOriginalc7e2ab31530b26312484d537a31f8e4c; ?>
<?php unset($__attributesOriginalc7e2ab31530b26312484d537a31f8e4c); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc7e2ab31530b26312484d537a31f8e4c)): ?>
<?php $component = $__componentOriginalc7e2ab31530b26312484d537a31f8e4c; ?>
<?php unset($__componentOriginalc7e2ab31530b26312484d537a31f8e4c); ?>
<?php endif; ?>
            <?php endif; ?>

            <div class="form-group">
                <div class="col-sm-9 col-sm-offset-3">
                    <button type="submit" class="btn btn-primary"><?php echo e(__('Save')); ?></button>
                    <a type="button" class="btn btn-danger" href="<?php echo e(route('users.index')); ?>"><?php echo e(__('Cancel')); ?></a>
                </div>
            </div>
        </form>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="application/javascript">
        $(document).ready(function () {
            $('#twofactor-unlock').on("click", function () {
                console.log('unlock');
                $.ajax({
                    type: 'POST',
                    url: '<?php echo e(route('2fa.unlock', ['user' => $user->user_id])); ?>',
                    dataType: "json",
                    success: function(data){
                        if (data.status === 'ok') {
                            $('#twofactor-unlock-form').remove();
                            toastr.success('<?php echo e(__('Unlocked Two Factor.')); ?>');
                        } else {
                            toastr.error('<?php echo e(__('Failed to unlock Two Factor')); ?><br />' + data.message);
                        }
                    },
                    error: function(){
                        toastr.error('<?php echo e(__('Failed to unlock Two Factor')); ?>');
                    }
                });
            });

            $('#twofactor-disable').on("click", function () {
                $.ajax({
                    type: 'DELETE',
                    url: '<?php echo e(route('2fa.delete', ['user' => $user->user_id])); ?>',
                    dataType: "json",
                    success: function(data){
                        if (data.status === 'ok') {
                            toastr.success('<?php echo e(__('Removed Two Factor.')); ?>');
                        } else {
                            toastr.error('<?php echo e(__('Failed to remove Two Factor')); ?><br />' + data.message);
                        }
                    },
                    error: function(){
                        toastr.error('<?php echo e(__('Failed to remove Two Factor')); ?>');
                    }
                });
            });
        });
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.librenmsv1', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rel/rpmbuild/BUILD/librenms-24.4.1/resources/views/user/edit.blade.php ENDPATH**/ ?>