<nav class="navbar navbar-default <?php echo e($navbar); ?> navbar-fixed-top" role="navigation">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navHeaderCollapse">
                <span class="sr-only"><?php echo e(__('Toggle navigation')); ?></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="hidden-md hidden-sm navbar-brand" href>
            <?php if($title_image): ?>
                <img src="<?php echo e(asset($title_image)); ?>" alt="<?php echo e($project_name); ?>">
            <?php else: ?>
                <?php echo e($project_name); ?>

            <?php endif; ?>
            </a>
        </div>

        <div class="collapse navbar-collapse" id="navHeaderCollapse">
            <ul class="nav navbar-nav">

                <li class="dropdown">
                    <a href="<?php echo e(url('overview')); ?>" class="dropdown-toggle" data-hover="dropdown"
                       data-toggle="dropdown"><i class="fa fa-home fa-fw fa-lg fa-nav-icons hidden-md"
                                                 aria-hidden="true"></i> <span
                            class="hidden-sm"><?php echo e(__('Overview')); ?></span></a>
                    <ul class="dropdown-menu multi-level" role="menu">
                        <li class="dropdown-submenu">
                            <a href="<?php echo e(route('overview')); ?>"><i class="fa fa-tv fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Dashboard')); ?></a>
                            <ul class="dropdown-menu scrollable-menu">
                                <?php $__currentLoopData = $dashboards; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dashboard): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(route('overview', ['dashboard' => $dashboard->dashboard_id])); ?>"><i class="fa fa-tv fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($dashboard->dashboard_name); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <li role="presentation" class="divider"></li>
                                <li>
                                    <a onclick="toggleDashboardEditor()">
                                        <i class="fa fa-bar-chart fa-fw fa-lg" aria-hidden="true"></i>
                                        <span id="toggle-dashboard-editor-text"><?php if($hide_dashboard_editor): ?> <?php echo e(__('Show Dashboard Editor')); ?> <?php else: ?> <?php echo e(__('Hide Dashboard Editor')); ?><?php endif; ?></span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li role="presentation" class="divider"></li>
                        <li class="dropdown-submenu">
                            <a><i class="fa fa-map fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Maps')); ?></a>
                            <ul class="dropdown-menu">
                                <li><a href="<?php echo e(url('availability-map')); ?>"><i class="fa fa-arrow-circle-up fa-fw fa-lg"
                                                                               aria-hidden="true"></i> <?php echo e(__('Availability')); ?>

                                    </a></li>
                                <li><a href="<?php echo e(url('maps/devicedependency')); ?>"><i class="fa fa-chain fa-fw fa-lg"
                                                                  aria-hidden="true"></i> <?php echo e(__('Device Dependency')); ?></a></li>
                                <?php if($device_groups->isNotEmpty()): ?>
                                    <li class="dropdown-submenu"><a><i class="fa fa-chain fa-fw fa-lg"
                                                                                aria-hidden="true"></i> <?php echo e(__('Device Groups Dependencies')); ?>

                                        </a>
                                        <ul class="dropdown-menu scrollable-menu">
                                        <?php $__currentLoopData = $device_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(url("maps/devicedependency?group=$group->id")); ?>" title="<?php echo e($group->desc); ?>"><i class="fa fa-chain fa-fw fa-lg" aria-hidden="true"></i>
                                                <?php echo e(ucfirst($group->name)); ?>

                                            </a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul></li>
                                <?php endif; ?>
                                <li><a href="<?php echo e(url('map')); ?>"><i class="fa fa-sitemap fa-fw fa-lg"
                                                                  aria-hidden="true"></i> <?php echo e(__('Network')); ?></a></li>
                                <?php if($device_groups->isNotEmpty()): ?>
                                    <li class="dropdown-submenu"><a><i class="fa fa-th fa-fw fa-lg"
                                                                                aria-hidden="true"></i> <?php echo e(__('Device Groups Maps')); ?>

                                        </a>
                                        <ul class="dropdown-menu scrollable-menu">
                                        <?php $__currentLoopData = $device_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(url("map/group=$group->id")); ?>" title="<?php echo e($group->desc); ?>"><i class="fa fa-th fa-fw fa-lg" aria-hidden="true"></i>
                                                <?php echo e(ucfirst($group->name)); ?>

                                            </a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul></li>
                                <?php endif; ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                                <li><a href="<?php echo e(route('maps.custom.index')); ?>"><i class="fa fa-map-marked fa-fw fa-lg"
                                                                            aria-hidden="true"></i> <?php echo e(__('Custom Map Editor')); ?>

                                    </a></li>
                                <?php endif; ?>
                                <?php if($custommaps->isNotEmpty()): ?>
                                    <li class="dropdown-submenu"><a><i class="fa fa-map-marked fa-fw fa-lg"
                                                                                aria-hidden="true"></i> <?php echo e(__('Custom Maps')); ?>

                                        </a>
                                        <ul class="dropdown-menu scrollable-menu">
                                        <?php $__currentLoopData = $custommaps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $map): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(route('maps.custom.show', ['map' => $map->custom_map_id])); ?>" title="<?php echo e($map->name); ?>"><i class="fa fa-map-marked fa-fw fa-lg" aria-hidden="true"></i>
                                                <?php echo e(ucfirst($map->name)); ?>

                                            </a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul></li>
                                <?php endif; ?>
                                <li><a href="<?php echo e(url('fullscreenmap')); ?>"><i class="fa fa-expand fa-fw fa-lg"
                                                                            aria-hidden="true"></i> <?php echo e(__('Geographical')); ?>

                                    </a></li>
                            </ul>
                        </li>
                        <?php if(auth()->user()->isAdmin() || $has_v1_plugins || $has_v2_plugins): ?>
                        <li class="dropdown-submenu">
                            <a><i class="fa fa-plug fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Plugins')); ?></a>
                            <ul class="dropdown-menu">
                                <?php echo $v1_plugin_menu; ?>

                                <?php $__currentLoopData = $menu_hooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as [$view, $data]): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo $__env->make($view, $data, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                                <?php if($has_v1_plugins || $has_v2_plugins): ?>
                                    <li role="presentation" class="divider"></li>
                                <?php endif; ?>
                                <li>
                                    <a href="<?php echo e(route('plugin.admin')); ?>">
                                        <i class="fa fa-lock fa-fw fa-lg" aria-hidden="true"></i><?php echo e(__('Plugin Admin')); ?>

                                    </a>
                                </li>
                                <?php endif; ?>
                            </ul>
                        </li>
                        <?php endif; ?>
                        <li class="dropdown-submenu">
                            <a><i class="fa fa-wrench fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Tools')); ?></a>
                            <ul class="dropdown-menu">
                                <li><a href="<?php echo e(url('ripenccapi')); ?>"><i class="fa fa-star fa-fw fa-lg"
                                                                         aria-hidden="true"></i> <?php echo e(__('RIPE NCC API')); ?>

                                    </a></li>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'smokeping.integration')): ?>
                                <li><a href="<?php echo e(\LibreNMS\Config::get('smokeping.url')); ?>"><i class="fa fa-line-chart fa-fw fa-lg"
                                                                       aria-hidden="true"></i> <?php echo e(__('Smokeping')); ?></a>
                                </li>
                                <?php endif; ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'oxidized.enabled')): ?>
                                <li><a href="<?php echo e(url('oxidized')); ?>"><i class="fa fa-stack-overflow fa-fw fa-lg"
                                                                       aria-hidden="true"></i> <?php echo e(__('Oxidized')); ?></a>
                                </li>
                                <?php endif; ?>
                            </ul>
                        </li>
                        <li role="presentation" class="divider"></li>
                        <li><a href="<?php echo e(url('eventlog')); ?>"><i class="fa fa-bookmark fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Eventlog')); ?></a></li>
                        <?php if (\Illuminate\Support\Facades\Blade::check('config', 'enable_syslog')): ?>
                        <li><a href="<?php echo e(url('syslog')); ?>"><i class="fa fa-clone fa-fw fa-lg"
                                                             aria-hidden="true"></i> <?php echo e(__('syslog.title')); ?></a></li>
                        <?php endif; ?>
                        <?php if (\Illuminate\Support\Facades\Blade::check('config', 'graylog.server')): ?>
                        <li><a href="<?php echo e(url('graylog')); ?>"><i class="fa fa-clone fa-fw fa-lg"
                                                              aria-hidden="true"></i> <?php echo e(__('Graylog')); ?></a></li>
                        <?php endif; ?>

                        <li><a href="<?php echo e(route('inventory')); ?>"><i class="fa fa-cube fa-fw fa-lg"
                                                                aria-hidden="true"></i> <?php echo e(__('Inventory')); ?></a></li>
                        <li><a href="<?php echo e(url('outages')); ?>"><i class="fa fa-bar-chart fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Outages')); ?></a></li>
                        <?php if($package_count): ?>
                            <li><a href="<?php echo e(url('search/search=packages')); ?>"><i class="fa fa-archive fa-fw fa-lg"
                                                                                 aria-hidden="true"></i> <?php echo e(__('Packages')); ?>

                                </a></li>
                        <?php endif; ?>

                        <li role="presentation" class="divider"></li>
                        <li><a href="<?php echo e(url('search/search=ipv4')); ?>"><i class="fa fa-search fa-fw fa-lg"
                                                                         aria-hidden="true"></i> <?php echo e(__('IPv4 Address')); ?>

                            </a></li>
                        <li><a href="<?php echo e(url('search/search=ipv6')); ?>"><i class="fa fa-search fa-fw fa-lg"
                                                                         aria-hidden="true"></i> <?php echo e(__('IPv6 Address')); ?>

                            </a></li>
                        <li><a href="<?php echo e(url('search/search=mac')); ?>"><i class="fa fa-search fa-fw fa-lg"
                                                                        aria-hidden="true"></i> <?php echo e(__('MAC Address')); ?></a>
                        </li>
                        <li><a href="<?php echo e(url('search/search=arp')); ?>"><i class="fa fa-search fa-fw fa-lg"
                                                                        aria-hidden="true"></i> <?php echo e(__('ARP Tables')); ?></a>
                        </li>
                        <li><a href="<?php echo e(url('search/search=fdb')); ?>"><i class="fa fa-search fa-fw fa-lg"
                                                                        aria-hidden="true"></i> <?php echo e(__('FDB Tables')); ?></a>
                        </li>
                    </ul>
                </li>

                <li class="dropdown">
                    <a href="<?php echo e(url('devices/')); ?>" class="dropdown-toggle" data-hover="dropdown"
                       data-toggle="dropdown"><i class="fa fa-server fa-fw fa-lg fa-nav-icons hidden-md"
                                                 aria-hidden="true"></i> <span class="hidden-sm"><?php echo e(__('Devices')); ?></span></a>
                    <ul class="dropdown-menu">
                    <?php if($device_types->isNotEmpty()): ?>
                        <li class="dropdown-submenu">
                            <a href="<?php echo e(url('devices')); ?>"><i class="fa fa-server fa-fw fa-lg"
                                                              aria-hidden="true"></i> <?php echo e(__('All Devices')); ?></a>
                            <ul class="dropdown-menu scrollable-menu">
                            <?php $__currentLoopData = $device_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(url("devices/type=$type")); ?>"><i class="fa fa-angle-double-right fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(ucfirst($type)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul></li>
                    <?php else: ?>
                            <li class="dropdown-submenu"><a href="#"><?php echo e(__('No devices')); ?></a></li>
                    <?php endif; ?>

                    <?php if($device_groups->isNotEmpty()): ?>
                            <li class="dropdown-submenu"><a><i class="fa fa-th fa-fw fa-lg"
                                                                        aria-hidden="true"></i> <?php echo e(__('Device Groups')); ?>

                                </a>
                            <ul class="dropdown-menu scrollable-menu">
                            <?php $__currentLoopData = $device_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(url("devices/group=$group->id")); ?>" title="<?php echo e($group->desc); ?>"><i class="fa fa-th fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(ucfirst($group->name)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                    <?php endif; ?>

                    <?php if($locations->isNotEmpty()): ?>
                        <li role="presentation" class="divider"></li>
                        <li class="dropdown-submenu">
                            <a href="<?php echo e(url('locations')); ?>"><i class="fa fa-map-marker fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Geo Locations')); ?></a>
                            <ul class="dropdown-menu scrollable-menu">
                                <li><a href="<?php echo e(url('locations')); ?>"><i class="fa fa-map-marker fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('All Locations')); ?></a></li>
                            <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(url("devices/location=" . $location->id)); ?>"><i class="fa fa-building fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($location->display()); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                    <?php endif; ?>
                    <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                        <li role="presentation" class="divider"></li>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage', \App\Models\DeviceGroup::class)): ?>
                            <li><a href="<?php echo e(url('device-groups')); ?>"><i class="fa fa-th fa-fw fa-lg"
                                                                        aria-hidden="true"></i> <?php echo e(__('Manage Groups')); ?>

                                </a></li>
                        <?php endif; ?>
                        <li><a href="<?php echo e(url('device-dependencies')); ?>"><i class="fa fa-group fa-fw fa-lg"></i> <?php echo e(__('Device Dependencies')); ?></a></li>
                        <?php if($show_vmwinfo): ?>
                            <li><a href="<?php echo e(url('vminfo')); ?>"><i
                                        class="fa fa-cog fa-fw fa-lg"></i> <?php echo e(__('Virtual Machines')); ?></a></li>
                        <?php endif; ?>
                        <li role="presentation" class="divider"></li>
                        <li><a href="<?php echo e(url('addhost')); ?>"><i class="fa fa-plus fa-fw fa-lg"
                                                              aria-hidden="true"></i> <?php echo e(__('Add Device')); ?></a></li>
                        <li><a href="<?php echo e(url('delhost')); ?>"><i class="fa fa-trash fa-fw fa-lg"
                                                              aria-hidden="true"></i> <?php echo e(__('Delete Device')); ?></a></li>
                    <?php endif; ?>

                    </ul>
                </li>

                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'show_services')): ?>
                    <li class="dropdown">
                        <a href="<?php echo e(url('services')); ?>" class="dropdown-toggle" data-hover="dropdown"
                           data-toggle="dropdown"><i class="fa fa-cogs fa-fw fa-lg fa-nav-icons hidden-md"
                                                     aria-hidden="true"></i> <span
                                class="hidden-sm"><?php echo e(__('Services')); ?></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="<?php echo e(url('services')); ?>"><i class="fa fa-cogs fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('All Services')); ?></a>
                            </li>
                            <li><a href="<?php echo e(route('services.templates.index')); ?>"><span class="fa-stack" aria-hidden="true" style="font-size: 12px">
                                  <i class="fa fa-square fa-stack-2x"></i>
                                  <i class="fa fa-cogs fa-stack-1x fa-inverse"></i>
                                </span> <?php echo e(__('Services Templates')); ?></a>
                            </li>
                            <?php if($service_counts['warning'] || $service_counts['critical']): ?>
                                <li role="presentation" class="divider"></li>
                                <?php if($service_counts['warning']): ?>
                                    <li><a href="<?php echo e(url('services/state=warning')); ?>"><i
                                                class="fa fa-bell fa-col-warning fa-fw fa-lg"
                                                aria-hidden="true"></i> <?php echo e(__('Warning :service_count', ['service_count' => $service_counts['warning']])); ?>

                                        </a></li>
                                <?php endif; ?>
                                <?php if($service_counts['critical']): ?>
                                    <li><a href="<?php echo e(url('services/state=critical')); ?>"><i
                                                class="fa fa-bell fa-col-danger fa-fw fa-lg"
                                                aria-hidden="true"></i> <?php echo e(__('Critical :service_count', ['service_count' => $service_counts['critical']])); ?>

                                        </a></li>
                                <?php endif; ?>
                            <?php endif; ?>
                            <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                                <li role="presentation" class="divider"></li>
                            <li><a href="<?php echo e(url('addsrv')); ?>"><i class="fa fa-plus fa-fw fa-lg"
                                                                 aria-hidden="true"></i> <?php echo e(__('Add Service')); ?></a></li>
                            <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <li class="dropdown">
                    <a href="<?php echo e(url('ports')); ?>" class="dropdown-toggle" data-hover="dropdown" data-toggle="dropdown"><i
                            class="fa fa-link fa-fw fa-lg fa-nav-icons hidden-md" aria-hidden="true"></i> <span
                            class="hidden-sm"><?php echo e(__('Ports')); ?></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="<?php echo e(url('ports')); ?>"><i class="fa fa-link fa-fw fa-lg"
                                                            aria-hidden="true"></i> <?php echo e(__('All Ports')); ?></a></li>

                        <?php if($port_counts['errored'] > 0): ?>
                            <li><a href="<?php echo e(url('ports/errors=1')); ?>"><i class="fa fa-exclamation-circle fa-fw fa-lg"
                                                                           aria-hidden="true"></i> <?php echo e(__('Errored :port_count', ['port_count' => $port_counts['errored']])); ?>

                                </a></li>
                        <?php endif; ?>

                        <?php if($port_counts['ignored'] > 0): ?>
                            <li><a href="<?php echo e(url('ports/ignore=1')); ?>"><i class="fa fa-question-circle fa-fw fa-lg"
                                                                           aria-hidden="true"></i> <?php echo e(__('Ignored :port_count', ['port_count' => $port_counts['ignored']])); ?>

                                </a></li>
                        <?php endif; ?>

                        <?php if (\Illuminate\Support\Facades\Blade::check('config', 'enable_billing')): ?>
                        <li><a href="<?php echo e(url('bills')); ?>"><i class="fa fa-money fa-fw fa-lg"
                                                            aria-hidden="true"></i> <?php echo e(__('Traffic Bills')); ?></a></li>
                        <?php endif; ?>

                        <?php if($port_counts['pseudowire'] > 0): ?>
                            <li><a href="<?php echo e(url('pseudowires')); ?>"><i class="fa fa-arrows-alt fa-fw fa-lg"
                                                                      aria-hidden="true"></i> <?php echo e(__('Pseudowires')); ?></a>
                            </li>
                        <?php endif; ?>


                        <?php if($port_nac): ?>
                            <li role="presentation" class="divider"></li>
                            <li><a href="<?php echo e(url('nac')); ?>"><i class="fa fa-lock fa-fw fa-lg"
                                                              aria-hidden="true"></i> NAC</a></li>
                        <?php endif; ?>
                        <?php if(auth()->user()->hasGlobalRead()): ?>
                            <?php if($port_groups_exist): ?>
                                <li role="presentation" class="divider"></li>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'int_customers')): ?>
                                <li><a href="<?php echo e(url('customers')); ?>"><i class="fa fa-users fa-fw fa-lg"
                                                                        aria-hidden="true"></i> <?php echo e(__('Customers')); ?></a>
                                </li>
                                <?php endif; ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'int_l2tp')): ?>
                                <li><a href="<?php echo e(url('iftype/type=l2tp')); ?>"><i class="fa fa-link fa-fw fa-lg"
                                                                               aria-hidden="true"></i> <?php echo e(__('L2TP')); ?></a>
                                </li>
                                <?php endif; ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'int_transit')): ?>
                                <li><a href="<?php echo e(url('iftype/type=transit')); ?>"><i class="fa fa-truck fa-fw fa-lg"
                                                                                  aria-hidden="true"></i> <?php echo e(__('Transit')); ?>

                                    </a></li>
                                <?php endif; ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'int_peering')): ?>
                                <li><a href="<?php echo e(url('iftype/type=peering')); ?>"><i class="fa fa-handshake-o fa-fw fa-lg"
                                                                                  aria-hidden="true"></i> <?php echo e(__('Peering')); ?>

                                    </a></li>
                                <?php endif; ?>
                                <?php if(\LibreNMS\Config::get('int_peering') && \LibreNMS\Config::get('int_transit')): ?>
                                    <li><a href="<?php echo e(url('iftype/type=peering,transit')); ?>"><i
                                                class="fa fa-rocket fa-fw fa-lg"
                                                aria-hidden="true"></i> <?php echo e(__('Peering + Transit')); ?></a></li>
                                <?php endif; ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'int_core')): ?>
                                <li><a href="<?php echo e(url('iftype/type=core')); ?>"><i class="fa fa-code-fork fa-fw fa-lg"
                                                                               aria-hidden="true"></i> <?php echo e(__('Core')); ?></a>
                                </li>
                                <?php endif; ?>
                                <?php $__currentLoopData = $custom_port_descr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $custom_descr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(url('iftype/type=' . urlencode($custom_descr['name']))); ?>"><i class="fa <?php echo e($custom_descr['icon']); ?> fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(ucwords($custom_descr['name'])); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>

                            <li role="presentation" class="divider"></li>
                            <li><a href="<?php echo e(url('port-groups')); ?>"><i class="fa fa-th fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Manage Groups')); ?> </a></li>
                            <?php if($port_groups->isNotEmpty()): ?>
                                <li class="dropdown-submenu">
                                <a href="<?php echo e(url('port-groups')); ?>"><i class="fa fa-th fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Port Groups')); ?></a>
                                <ul class="dropdown-menu scrollable-menu">
                                <?php $__currentLoopData = $port_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(url("ports/group=$group->id")); ?>" title="<?php echo e($group->desc); ?>"><i class="fa fa-th fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(ucfirst($group->name)); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                                </li>
                            <?php endif; ?>

                            <li role="presentation" class="divider"></li>
                            <?php if($port_counts['alerted']): ?>
                                <li><a href="<?php echo e(url('ports/alerted=1')); ?>"><i
                                            class="fa fa-exclamation-circle fa-fw fa-lg"
                                            aria-hidden="true"></i> <?php echo e(__('Alerts :port_count', ['port_count' => $port_counts['alerted']])); ?>

                                    </a></li>
                            <?php endif; ?>

                            <li><a href="<?php echo e(url('ports/state=down')); ?>"><i class="fa fa-arrow-circle-down fa-fw fa-lg"
                                                                           aria-hidden="true"></i> <?php echo e(__('Down :port_count', ['port_count' => $port_counts['down']])); ?>

                                </a></li>
                            <li><a href="<?php echo e(url('ports/state=admindown')); ?>"><i
                                        class="fa fa-arrow-circle-o-down fa-fw fa-lg"
                                        aria-hidden="true"></i> <?php echo e(__('Disabled :port_count', ['port_count' => $port_counts['shutdown']])); ?>

                                </a></li>

                            <?php if($port_counts['deleted']): ?>
                                <li><a href="<?php echo e(url('ports/deleted=1')); ?>"><i class="fa fa-minus-circle fa-fw fa-lg"
                                                                                aria-hidden="true"></i> <?php echo e(__('Deleted :port_count', ['port_count' => $port_counts['deleted']])); ?>

                                    </a></li>
                            <?php endif; ?>
                        <?php endif; ?>
                    </ul>
                </li>

                <li class="dropdown">
                    <a href="<?php echo e(url('health')); ?>" class="dropdown-toggle" data-hover="dropdown"
                       data-toggle="dropdown"><i class="fa fa-heartbeat fa-fw fa-lg fa-nav-icons hidden-md"
                                                 aria-hidden="true"></i> <span class="hidden-sm"><?php echo e(__('Health')); ?></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="<?php echo e(url('health/metric=mempool')); ?>"><i class="fas fa-memory fa-fw fa-lg"
                                                                            aria-hidden="true"></i> <?php echo e(__('Memory')); ?></a>
                        </li>
                        <li><a href="<?php echo e(url('health/metric=processor')); ?>"><i class="fa fa-microchip fa-fw fa-lg"
                                                                              aria-hidden="true"></i> <?php echo e(__('Processor')); ?>

                            </a></li>
                        <li><a href="<?php echo e(url('health/metric=storage')); ?>"><i class="fa fa-database fa-fw fa-lg"
                                                                            aria-hidden="true"></i> <?php echo e(__('Storage')); ?></a>
                        </li>

                        <?php $__currentLoopData = $sensor_menu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sensor_menu_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $sensor_menu_group; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sensor_menu_entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($loop->first): ?>
                                    <li role="presentation" class="divider"></li>
                                <?php endif; ?>
                                <li><a href="<?php echo e(url('health/metric=' . $sensor_menu_entry['class'])); ?>"><i class="fa fa-<?php echo e($sensor_menu_entry['icon']); ?> fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($sensor_menu_entry['descr']); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </ul>
                </li>

                <?php if($wireless_menu->isNotEmpty()): ?>
                    <li class="dropdown">
                        <a href="<?php echo e(url('wireless')); ?>" class="dropdown-toggle" data-hover="dropdown"
                           data-toggle="dropdown"><i class="fa fa-wifi fa-fw fa-lg fa-nav-icons hidden-md"
                                                     aria-hidden="true"></i> <span
                                class="hidden-sm"><?php echo e(__('wireless.title')); ?></span></a>
                        <ul class="dropdown-menu">
                        <?php $__currentLoopData = $wireless_menu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $wireless_menu_entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(url('wireless/metric=' . $wireless_menu_entry->sensor_class)); ?>"><i class="fa fa-<?php echo e($wireless_menu_entry->icon()); ?> fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($wireless_menu_entry->classDescr()); ?></a></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if($app_menu->isNotEmpty()): ?>
                    <li class="dropdown">
                        <a href="<?php echo e(url('apps')); ?>" class="dropdown-toggle" data-hover="dropdown"
                           data-toggle="dropdown"><i class="fa fa-tasks fa-fw fa-lg fa-nav-icons hidden-md"
                                                     aria-hidden="true"></i> <span
                                class="hidden-sm"><?php echo e(__('Apps')); ?></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="<?php echo e(url('apps')); ?>"><i class="fa fa-object-group fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Overview')); ?></a></li>
                            <?php $__currentLoopData = $app_menu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $app_type => $app_instances): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($app_instances->filter->app_instance->isNotEmpty()): ?>
                                    <li class="dropdown-submenu">
                                        <a href="<?php echo e(url('apps/app=' . $app_type)); ?>"><i class="fa fa-server fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($app_instances->first()->displayName()); ?></a>
                                        <ul class="dropdown-menu scrollable-menu">
                                            <?php $__currentLoopData = $app_instances; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $app_instance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(url("apps/app=$app_type/instance=$app_instance->app_instance")); ?>"><i class="fa fa-angle-double-right fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(ucfirst($app_instance->app_instance)); ?></a></li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </li>
                                <?php else: ?>
                                    <li><a href="<?php echo e(url('apps/app=' . $app_type)); ?>"><i class="fa fa-angle-double-right fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($app_instances->first()->displayName()); ?></a></li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if($routing_menu): ?>
                    <li class="dropdown">
                        <a href="<?php echo e(url('routing')); ?>" class="dropdown-toggle" data-hover="dropdown"
                           data-toggle="dropdown"><i class="fa fa-random fa-fw fa-lg fa-nav-icons hidden-md"
                                                     aria-hidden="true"></i> <span
                                class="hidden-sm"><?php echo e(__('Routing')); ?></span></a>
                        <ul class="dropdown-menu">
                        <?php $__currentLoopData = $routing_menu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routing_menu_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(!$loop->first): ?>
                                <li role="presentation" class="divider"></li>
                            <?php endif; ?>
                            <?php $__currentLoopData = $routing_menu_group; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $routing_menu_entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(url('routing/protocol=' . $routing_menu_entry['url'])); ?>"><i class="fa fa-<?php echo e($routing_menu_entry['icon']); ?> fa-fw fa-lg" aria-hidden="true"></i> <?php echo e($routing_menu_entry['text']); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <?php if($bgp_alerts): ?>
                            <li role="presentation" class="divider"></li>
                                <li><a href="<?php echo e(url('routing/protocol=bgp/adminstatus=start/state=down')); ?>"><i
                                            class="fa fa-exclamation-circle fa-fw fa-lg"
                                            aria-hidden="true"></i> <?php echo e(__('Alerted BGP :alert_count', ['alert_count' => $bgp_alerts])); ?>

                                    </a></li>
                        <?php endif; ?>
                        <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                            <?php if($show_peeringdb): ?>
                                <li role="presentation" class="divider"></li>
                                <li><a href="<?php echo e(url('peering')); ?>"><i class="fa fa-hand-o-right fa-fw fa-lg"
                                                                      aria-hidden="true"></i> <?php echo e(__('PeeringDB')); ?></a>
                                </li>
                            <?php endif; ?>
                        <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-hover="dropdown" data-toggle="dropdown"><i
                            class="fa fa-exclamation-circle fa-col-<?php echo e($alert_menu_class); ?> fa-fw fa-lg fa-nav-icons hidden-md"
                            aria-hidden="true"></i> <span class="hidden-sm"><?php echo e(__('Alerts')); ?></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="<?php echo e(url('alerts')); ?>"><i class="fa fa-bell fa-fw fa-lg"
                                                             aria-hidden="true"></i> <?php echo e(__('Notifications')); ?></a></li>
                        <li><a href="<?php echo e(url('alert-log')); ?>"><i class="fa fa-file-text fa-fw fa-lg"
                                                                aria-hidden="true"></i> <?php echo e(__('Alert History')); ?></a></li>
                        <li><a href="<?php echo e(url('alert-stats')); ?>"><i class="fa fa-bar-chart fa-fw fa-lg"
                                                                  aria-hidden="true"></i> <?php echo e(__('Statistics')); ?></a></li>
                        <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                        <li role="presentation" class="divider"></li>
                        <li><a href="<?php echo e(url('alert-rules')); ?>"><i class="fa fa-list fa-fw fa-lg"
                                                                  aria-hidden="true"></i> <?php echo e(__('Alert Rules')); ?></a></li>
                        <li><a href="<?php echo e(url('alert-schedule')); ?>"><i class="fa fa-calendar fa-fw fa-lg"
                                                                     aria-hidden="true"></i> <?php echo e(__('Scheduled Maintenance')); ?>

                            </a></li>
                        <li><a href="<?php echo e(url('templates')); ?>"><i class="fa fa-file fa-fw fa-lg"
                                                                aria-hidden="true"></i> <?php echo e(__('Alert Templates')); ?></a>
                        </li>
                        <li><a href="<?php echo e(url('alert-transports')); ?>"><i class="fa fa-bus fa-fw fa-lg"
                                                                       aria-hidden="true"></i> <?php echo e(__('Alert Transports')); ?>

                            </a></li>
                        <?php endif; ?>
                    </ul>
                </li>
                <?php if ($__env->exists('menu.custom')) echo $__env->make('menu.custom', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </ul>


            <form role="search" class="navbar-form navbar-right global-search">
                <?php echo csrf_field(); ?>
                <div class="form-group">
                    <input class="form-control typeahead" type="search" id="gsearch" name="gsearch"
                           placeholder="<?php echo e(__('Global Search')); ?>" autocomplete="off">
                </div>
            </form>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-hover="dropdown" data-toggle="dropdown">
                        <i class="fa fa-user fa-fw fa-lg fa-nav-icons" aria-hidden="true"></i>
                        <span class="badge badge-navbar-user count-notif <?php echo e($notification_count ? 'badge-danger' : 'badge-default'); ?>"><?php echo e($notification_count ?: ''); ?></span>
                        <span class="hidden-sm"><small><?php echo e(Auth::user()->username); ?></small></span>
                        <span class="visible-xs-inline-block"><?php echo e(__('User')); ?></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li><a href="<?php echo e(url('preferences')); ?>"><i class="fa fa-cog fa-fw fa-lg"
                                                                  aria-hidden="true"></i> <?php echo e(__('My Settings')); ?></a></li>
                        <li><a href="<?php echo e(url('notifications')); ?>"><span
                                    class="badge count-notif"><?php echo e($notification_count); ?></span> <?php echo e(__('Notifications')); ?>

                            </a></li>
                        <li role="presentation" class="divider"></li>
                        <li>
                            <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                <i class="fa fa-sign-out fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Logout')); ?>

                            </a>

                            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                <?php echo e(csrf_field()); ?>

                            </form>
                        </li>
                    </ul>
                </li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-hover="dropdown" data-toggle="dropdown"
                       style="margin-left:5px"><i class="fa fa-cog fa-fw fa-lg fa-nav-icons" aria-hidden="true"></i>
                        <span class="visible-xs-inline-block"><?php echo e(__('settings.title')); ?></span></a>
                    <ul class="dropdown-menu">
                        <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
                        <li><a href="<?php echo e(url('settings')); ?>"><i class="fa fa-cogs fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Global Settings')); ?></a></li>
                        <li><a href="<?php echo e(url('validate')); ?>"><i class="fa fa-check-circle fa-fw fa-lg"
                                                               aria-hidden="true"></i> <?php echo e(__('Validate Config')); ?></a></li>
                        <li role="presentation" class="divider"></li>
                        <li><a href="<?php echo e(route('users.index')); ?>"><i class="fa fa-user-circle-o fa-fw fa-lg"
                                                                    aria-hidden="true"></i> <?php echo e(__('Manage Users')); ?></a>
                        </li>
                        <li><a href="<?php echo e(url('authlog')); ?>"><i class="fa fa-shield fa-fw fa-lg"
                                                              aria-hidden="true"></i> <?php echo e(__('Auth History')); ?></a></li>
                        <li role="presentation" class="divider"></li>
                        <li class="dropdown-submenu">
                            <a href="<?php echo e(route('poller.index')); ?>"><i class="fa fa-th-large fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Poller')); ?></a>
                            <ul class="dropdown-menu">
                                <li><a href="<?php echo e(route('poller.index')); ?>"><i class="fa fa-th-large fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Poller')); ?></a></li>
                                <?php if (\Illuminate\Support\Facades\Blade::check('config', 'distributed_poller')): ?>
                                <li><a href="<?php echo e(route('poller.groups')); ?>"><i class="fa fa-th fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Groups')); ?></a></li>
                                <?php endif; ?>
                                <?php if($poller_clusters): ?>
                                <li><a href="<?php echo e(route('poller.settings')); ?>"><i class="fa fa-gears fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Settings')); ?></a></li>
                                <?php endif; ?>
                                <li><a href="<?php echo e(route('poller.performance')); ?>"><i class="fa fa-line-chart fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Performance')); ?></a></li>
                                <li><a href="<?php echo e(route('poller.log')); ?>"><i class="fa fa-file-text fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('Log')); ?></a></li>
                            </ul>
                        </li>
                        <li role="presentation" class="divider"></li>
                        <li class="dropdown-submenu">
                            <a href="#"><i class="fa fa-code fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('API')); ?></a>
                            <ul class="dropdown-menu">
                                <li><a href="<?php echo e(url('api-access')); ?>"><i class="fa fa-cog fa-fw fa-lg"
                                                                         aria-hidden="true"></i> <?php echo e(__('API Settings')); ?>

                                    </a></li>
                                <li><a href="https://docs.librenms.org/API/" target="_blank" rel="noopener"><i
                                            class="fa fa-book fa-fw fa-lg" aria-hidden="true"></i> <?php echo e(__('API Docs')); ?></a>
                                </li>
                            </ul>
                        </li>
                        <li role="presentation" class="divider"></li>
                        <?php endif; ?>
                        <?php if(isset($refresh)): ?>
                        <li class="dropdown-submenu">
                            <a href="#"><span class="countdown_timer" id="countdown_timer"></span></a>
                            <ul class="dropdown-menu">
                                <li><a href="#"><span class="countdown_timer_status" id="countdown_timer_status"></span></a></li>
                            </ul>
                        </li>
                        <li role="presentation" class="divider"></li>
                        <?php endif; ?>
                        <li><a href="<?php echo e(url('about')); ?>"><i class="fa-solid fa-circle-info fa-fw fa-lg"
                                                            aria-hidden="true"></i> <?php echo e(__('About :project_name', ['project_name' => \LibreNMS\Config::get('project_name')])); ?>

                            </a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>

<script>
    var devices = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
            url: ajax_url + "/search/device?search=%QUERY",
            filter: function (devices) {
                return $.map(devices, function (device) {
                    return {
                        device_id: device.device_id,
                        device_image: device.device_image,
                        url: device.url,
                        name: device.name,
                        device_os: device.device_os,
                        version: device.version,
                        device_hardware: device.device_hardware,
                        device_ports: device.device_ports,
                        location: device.location
                    };
                });
            },
            wildcard: "%QUERY"
        }
    });
    var ports = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
            url: ajax_url + "/search/port/?search=%QUERY",
            filter: function (ports) {
                return $.map(ports, function (port) {
                    return {
                        url: port.url,
                        name: port.name,
                        description: port.description,
                        colours: port.colours,
                        hostname: port.hostname
                    };
                });
            },
            wildcard: "%QUERY"
        }
    });
    var bgp = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
            url: ajax_url + "/search/bgp/?search=%QUERY",
            filter: function (bgp_sessions) {
                return $.map(bgp_sessions, function (bgp) {
                    return {
                        url: bgp.url,
                        name: bgp.name,
                        description: bgp.description,
                        localas: bgp.localas,
                        bgp_image: bgp.bgp_image,
                        remoteas: bgp.remoteas,
                        colours: bgp.colours,
                        hostname: bgp.hostname
                    };
                });
            },
            wildcard: "%QUERY"
        }
    });

    if ($(window).width() < 768) {
        var cssMenu = 'typeahead-left';
    } else {
        var cssMenu = '';
    }

    devices.initialize();
    ports.initialize();
    bgp.initialize();
    $('#gsearch').typeahead({
            hint: true,
            highlight: true,
            minLength: 1
        },
        {
            source: devices.ttAdapter(),
            limit: '<?php echo e($typeahead_limit); ?>',
            async: true,
            display: 'name',
            valueKey: 'name',
            templates: {
                header: '<h5><strong>&nbsp;Devices</strong></h5>',
                suggestion: Handlebars.compile('<p><a href="{{url}}"><img src="{{device_image}}" style="float: left; min-height: 32px; margin-right: 5px;"> <small><strong>{{name}}</strong> | {{device_os}} | {{version}} <br /> {{device_hardware}} with {{device_ports}} port(s) | {{location}}</small></a></p>')
            }
        },
        {
            source: ports.ttAdapter(),
            limit: '<?php echo e($typeahead_limit); ?>',
            async: true,
            display: 'name',
            valueKey: 'name',
            templates: {
                header: '<h5><strong>&nbsp;Ports</strong></h5>',
                suggestion: Handlebars.compile('<p><a href="{{url}}"><small><i class="fa fa-link fa-sm icon-theme" aria-hidden="true"></i> <strong>{{name}}</strong> – {{hostname}}<br /><i>{{description}}</i></small></a></p>')
            }
        },
        {
            source: bgp.ttAdapter(),
            limit: '<?php echo e($typeahead_limit); ?>',
            async: true,
            display: 'name',
            valueKey: 'name',
            templates: {
                header: '<h5><strong>&nbsp;BGP Sessions</strong></h5>',
                suggestion: Handlebars.compile('<p><a href="{{url}}"><small><i class="{{bgp_image}}" aria-hidden="true"></i> {{name}} - {{hostname}}<br />AS{{localas}} -> AS{{remoteas}}</small></a></p>')
            }
        }).on('typeahead:select', function (ev, suggestion) {
            window.location.href = suggestion.url;
        }).on('keyup', function (e) {
            // on enter go to the first selection
            if (e.which === 13) {
                $('.tt-selectable').first().trigger( "click" );
            }
        });

    var hideDashboardEditor = <?php echo e((int)$hide_dashboard_editor); ?>;
    function toggleDashboardEditor() {
        $.ajax({
            url: '<?php echo e(route('preferences.store')); ?>',
            dataType: 'json',
            type: 'POST',
            data: {
                pref: 'hide_dashboard_editor',
                value: hideDashboardEditor ? 0 : 1
            },
            success: function () {
                hideDashboardEditor = hideDashboardEditor ? 0 : 1;
                $('#toggle-dashboard-editor-text').text(hideDashboardEditor ? '<?php echo e(__('Show Dashboard Editor')); ?>' : '<?php echo e(__('Hide Dashboard Editor')); ?>')

                // disable and hide editing
                if (typeof gridster !== 'undefined') {
                    gridster.disable();
                    gridster.disable_resize();
                    gridster_state = 0;
                    $('.fade-edit').fadeOut();
                    dashboard_collapse("#hide_edit");
                }

                $('#dashboard-editor').collapse(hideDashboardEditor ? 'hide' : 'show');
            }
        });
    }

    <?php if($browser_push): ?>
        if (localStorage.getItem('notifications') !== 'disabled') {
            Notification.requestPermission().then(function (permission) {
                if (permission === "denied") {
                    localStorage.setItem('notifications', 'disabled');
                }
            });
        }
    <?php endif; ?>

    <?php if($global_search_ctrlf_focus): ?>
        $(document).ready(function(){
            // Function to focus Global Search on Ctrl-F
            window.addEventListener("keydown",function (e) {
                if (e.keyCode === 114 || (e.ctrlKey && e.keyCode === 70)){
                    if($('#gsearch').is(":focus")) {
                        //allow normal Ctrl-F on a 2nd Hit
                        return true;
                    } else {
                        //set Focus on Global Search and ignore Browsers defaults
                        e.preventDefault();
                        $('#gsearch').focus();
                    }
                }
            })
        })
    <?php endif; ?>

</script>
<?php /**PATH /home/rel/rpmbuild/BUILD/librenms-24.4.1/resources/views/layouts/menu.blade.php ENDPATH**/ ?>