<?php $__env->startSection('form'); ?>
    <div class="form-group">
        <label for="title-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Widget title')); ?></label>
        <input type="text" class="form-control" name="title" id="title-<?php echo e($id); ?>" placeholder="<?php echo e(__('Custom title')); ?>" value="<?php echo e($title); ?>">
    </div>
    <div class="form-group">
        <label for="acknowledged-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Show acknowledged')); ?>:</label>
        <select class="form-control" name="acknowledged" id="acknowledged-<?php echo e($id); ?>">
            <option value=""><?php echo e(__('not filtered')); ?></option>
            <option value="1" <?php if($acknowledged === '1'): ?> selected <?php endif; ?>><?php echo e(__('show only acknowledged')); ?></option>
            <option value="0" <?php if($acknowledged === '0'): ?> selected <?php endif; ?>><?php echo e(__('hide acknowledged')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="unreachable-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Show unreachable')); ?>:</label>
        <select class="form-control" name="unreachable" id="unreachable-<?php echo e($id); ?>">
            <option value=""><?php echo e(__('not filtered')); ?></option>
            <option value="1" <?php if($unreachable === '1'): ?> selected <?php endif; ?>><?php echo e(__('show only alerts where all parent devices are down')); ?></option>
            <option value="0" <?php if($unreachable === '0'): ?> selected <?php endif; ?>><?php echo e(__('hide alerts where all parent devices are down')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="fired-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Show only fired')); ?>:</label>
        <select class="form-control" name="fired" id="fired-<?php echo e($id); ?>">
            <option value=""><?php echo e(__('not filtered')); ?></option>
            <option value="1" <?php if($fired === '1'): ?> selected <?php endif; ?>><?php echo e(__('show only fired alerts')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="min_severity-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Displayed severity')); ?>:</label>
        <select class="form-control" name="min_severity" id="min_severity-<?php echo e($id); ?>">
            <option value=""><?php echo e(__('any severity')); ?></option>
            <?php $__currentLoopData = $severities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name => $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($val); ?>" <?php if($min_severity == $val): ?> selected <?php endif; ?>><?php echo e($name); ?><?php echo e($val > 3 ? '' : ' ' . __('or higher')); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
    <div class="form-group">
        <label for="state-<?php echo e($id); ?>" class="control-label"><?php echo e(__('State')); ?>:</label>
        <select class="form-control" name="state" id="state-<?php echo e($id); ?>">
            <option value=""><?php echo e(__('any state')); ?></option>
            <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name => $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($val); ?>" <?php if($state === $val): ?> selected <?php endif; ?>><?php echo e($name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
    <div class="form-group">
        <label for="device_group-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device group')); ?></label>
        <select class="form-control" name="device_group" id="device_group-<?php echo e($id); ?>" data-placeholder="<?php echo e(__('All Devices')); ?>">
            <?php if($device_group): ?>
                <option value="<?php echo e($device_group->id); ?>" selected><?php echo e($device_group->name); ?></option>
            <?php endif; ?>
        </select>
    </div>
    <div class="form-group">
        <label for="proc-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Show Procedure field')); ?>:</label>
        <select class="form-control" name="proc" id="proc-<?php echo e($id); ?>">
            <option value="1" <?php if($proc == 1): ?> selected <?php endif; ?>><?php echo e(__('show')); ?></option>
            <option value="0" <?php if($proc == 0): ?> selected <?php endif; ?>><?php echo e(__('hide')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="location-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Show Location field')); ?>:</label>
        <select class="form-control" name="location" id="location-<?php echo e($id); ?>">
            <option value="1" <?php if($location == 1): ?> selected <?php endif; ?>><?php echo e(__('show')); ?></option>
            <option value="0" <?php if($location == 0): ?> selected <?php endif; ?>><?php echo e(__('hide')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="uncollapse_key_count-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Automatic uncollapse Alert if length below characters')); ?>:</label>
        <input class="form-control" type="uncollapse_key_count" min="1" step="1" name="uncollapse_key_count" id="uncollapse_key_count-<?php echo e($id); ?>" value="<?php echo e($uncollapse_key_count); ?>">
    </div>
    <div class="form-group">
        <label for="sort-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Sort alerts by')); ?>:</label>
        <select class="form-control" name="sort" id="sort-<?php echo e($id); ?>">
            <option value="" <?php if($sort == 1): ?> selected <?php endif; ?>><?php echo e(__('timestamp, descending')); ?></option>
            <option value="severity" <?php if($sort == 0): ?> selected <?php endif; ?>><?php echo e(__('severity, descending')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="hidenavigation-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Hide Navigation')); ?>:</label>
        <input type="checkbox" class="form-control" name="hidenavigation" id="hidenavigation-<?php echo e($id); ?>" value="<?php echo e($hidenavigation); ?>" data-size="normal" <?php if($hidenavigation): ?> checked <?php endif; ?>>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="text/javascript">
        init_select2('#device_group-<?php echo e($id); ?>', 'device-group', {});

        $('#hidenavigation-<?php echo e($id); ?>')
            .bootstrapSwitch('offColor','danger')
            .on('switchChange.bootstrapSwitch', function (e, data) {
                var hidenav = $(this).is(':checked') ? "1": "0";
                $('#hidenavigation-<?php echo e($id); ?>').val(hidenav);
            });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('widgets.settings.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rel/rpmbuild/BUILD/librenms-24.4.1/resources/views/widgets/settings/alerts.blade.php ENDPATH**/ ?>