<?php $__env->startSection('form'); ?>
    <div class="form-group">
        <label for="title-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Widget title')); ?></label>
        <input type="text" class="form-control" name="title" id="title-<?php echo e($id); ?>" placeholder="<?php echo e(__('Custom title for widget')); ?>" value="<?php echo e($title); ?>">
    </div>

    <div class="form-group">
        <label for="type-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Display type')); ?></label>
        <select class="form-control" name="type" id="type-<?php echo e($id); ?>" onchange="toggle_availability_type(this, '<?php echo e($id); ?>');">
            <option value="0" <?php if($type == 0): ?> selected <?php endif; ?>><?php echo e(__('boxes')); ?></option>
            <option value="1" <?php if($type == 1): ?> selected <?php endif; ?>><?php echo e(__('compact')); ?></option>
        </select>
    </div>

    <div class="form-group" id="color_only_select-group-<?php echo e($id); ?>" style="display: <?php echo e($type == 0 ? 'block' : 'none'); ?>;">
        <label for="color_only_select-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Label')); ?></label>
        <select class="form-control" name="color_only_select" id="color_only_select-<?php echo e($id); ?>">
            <option value="1" <?php if($color_only_select == 1): ?> selected <?php endif; ?>><?php echo e(__('empty')); ?></option>
            <option value="4" <?php if($color_only_select == 4): ?> selected <?php endif; ?>><?php echo e(__('Display Name')); ?></option>
            <option value="2" <?php if($color_only_select == 2): ?> selected <?php endif; ?>><?php echo e(__('Hostname')); ?></option>
            <option value="3" <?php if($color_only_select == 3): ?> selected <?php endif; ?>><?php echo e(__('SNMP sysName')); ?></option>
            <option value="0" <?php if (! ($color_only_select)): ?> selected <?php endif; ?>><?php echo e(__('Status')); ?></option>
        </select>
    </div>

    <div class="form-group" id="tile_size-group-<?php echo e($id); ?>" style="display: <?php echo e($type == 1 ? 'block' : 'none'); ?>;">
        <label for="tile_size-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Tile size')); ?></label>
        <input type="text" class="form-control" name="tile_size" id="tile_size-<?php echo e($id); ?>" placeholder="<?php echo e(__('Tile size')); ?>" value="<?php echo e($tile_size); ?>">
    </div>

    <div class="form-group">
        <label for="show_disabled_and_ignored-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Disabled polling/alerting')); ?></label>
        <select class="form-control" name="show_disabled_and_ignored" id="show_disabled_and_ignored-<?php echo e($id); ?>">
            <option value="1" <?php if($show_disabled_and_ignored): ?> selected <?php endif; ?>><?php echo e(__('Show')); ?></option>
            <option value="0" <?php if (! ($show_disabled_and_ignored)): ?> selected <?php endif; ?>><?php echo e(__('Hide')); ?></option>
        </select>
    </div>

    <div class="form-group">
        <label for="mode_select-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Mode select')); ?></label>
        <select class="form-control" name="mode_select" id="mode_select-<?php echo e($id); ?>">
            <option value="0" <?php if($mode_select == 0): ?> selected <?php endif; ?>><?php echo e(__('only devices')); ?></option>
            <?php if (\Illuminate\Support\Facades\Blade::check('config', 'show_services')): ?>
            <option value="1" <?php if($mode_select == 1): ?> selected <?php endif; ?>><?php echo e(__('only services')); ?></option>
            <option value="2" <?php if($mode_select == 2): ?> selected <?php endif; ?>><?php echo e(__('devices and services')); ?></option>
            <?php endif; ?>
        </select>
    </div>

    <div class="form-group">
        <label for="order_by-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Order By')); ?></label>
        <select class="form-control" name="order_by" id="order_by-<?php echo e($id); ?>">
            <option value="label" <?php if($order_by == 'label'): ?> selected <?php endif; ?>><?php echo e(__('Label')); ?></option>
            <option value="status" <?php if($order_by == 'status'): ?> selected <?php endif; ?>><?php echo e(__('Status')); ?></option>
            <option value="display-name" <?php if($order_by == 'display-name'): ?> selected <?php endif; ?>><?php echo e(__('Display Name')); ?></option>
        </select>
    </div>

    <div class="form-group">
        <label for="device_group-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device group')); ?></label>
        <select class="form-control" name="device_group" id="device_group-<?php echo e($id); ?>" data-placeholder="<?php echo e(__('All Devices')); ?>">
            <?php if($device_group): ?>
                <option value="<?php echo e($device_group->id); ?>" selected><?php echo e($device_group->name); ?></option>
            <?php endif; ?>
        </select>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="text/javascript">
        init_select2('#device_group-<?php echo e($id); ?>', 'device-group', {});

        function toggle_availability_type(el, id) {
            if (el.value === '0') {
                $('#tile_size-group-' + id).hide();
                $('#color_only_select-group-' + id).show();
            } else {
                $('#tile_size-group-' + id).show();
                $('#color_only_select-group-' + id).hide();
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('widgets.settings.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rel/rpmbuild/BUILD/librenms-24.4.1/resources/views/widgets/settings/availability-map.blade.php ENDPATH**/ ?>